--- a/scripts/hak/target.ts
+++ b/scripts/hak/target.ts
@@ -29,8 +29,10 @@
     | "i686-unknown-linux-gnu"
     | "x86_64-unknown-linux-musl"
     | "x86_64-unknown-linux-gnu"
+    | "x86_64-alpine-linux-musl"
     | "aarch64-unknown-linux-musl"
     | "aarch64-unknown-linux-gnu"
+    | "aarch64-alpine-linux-musl"
     | "powerpc64le-unknown-linux-musl"
     | "powerpc64le-unknown-linux-gnu";
 
@@ -112,6 +114,13 @@
     libC: MUSL,
 };
 
+const x8664AlpineLinuxMusl: LinuxTarget = {
+    id: "x86_64-alpine-linux-musl",
+    platform: "linux",
+    arch: "x64",
+    libC: MUSL,
+};
+
 const i686UnknownLinuxGnu: LinuxTarget = {
     id: "i686-unknown-linux-gnu",
     platform: "linux",
@@ -140,6 +149,13 @@
     libC: MUSL,
 };
 
+const aarch64AlpineLinuxMusl: LinuxTarget = {
+    id: "aarch64-alpine-linux-musl",
+    platform: "linux",
+    arch: "arm64",
+    libC: MUSL,
+};
+
 const powerpc64leUnknownLinuxGnu: LinuxTarget = {
     id: "powerpc64le-unknown-linux-gnu",
     platform: "linux",
@@ -167,8 +183,10 @@
     "i686-unknown-linux-gnu": i686UnknownLinuxGnu,
     "x86_64-unknown-linux-musl": x8664UnknownLinuxMusl,
     "x86_64-unknown-linux-gnu": x8664UnknownLinuxGnu,
+    "x86_64-alpine-linux-musl": x8664AlpineLinuxMusl,
     "aarch64-unknown-linux-musl": aarch64UnknownLinuxMusl,
     "aarch64-unknown-linux-gnu": aarch64UnknownLinuxGnu,
+    "aarch64-alpine-linux-musl": aarch64AlpineLinuxMusl,
     "powerpc64le-unknown-linux-musl": powerpc64leUnknownLinuxMusl,
     "powerpc64le-unknown-linux-gnu": powerpc64leUnknownLinuxGnu,
 };
